Skip to main content

Delete lock on request in default request queue

DELETE 

/v2/actor-runs/:runId/request-queue/requests/:requestId/lock

Deletes a request lock in the default request queue of the Actor run.

This endpoint is a shortcut for getting the run's defaultRequestQueueId and then using the Delete request lock endpoint.

Request

Path Parameters

    runId string required

    Actor run ID.


    Example: 3KH8gEpp4d8uQSe8T
    requestId string required

    Request ID.


    Example: xpsmkDlspokDSmklS

Query Parameters

    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc
    forefront string

    Determines if request should be added to the head of the queue or to the end after lock was removed.


    Example: false

Status 204

No content